﻿using anbs_cp.Interfaces;

namespace anbs_cp.Classes;

/// <summary>
/// Класс предупреждения
/// </summary>
public sealed class ActionWarning: IActionWarning
{
    #region Конструкторы
    /// <summary>
    /// Конструктор по умолчанию
    /// </summary>
    public ActionWarning ()
    {
        IsInformWarning = false;
        Object = string.Empty;
        Message = string.Empty;
    }

    /// <summary>
    /// Конструктор
    /// </summary>
    /// <param name="eObject">Объект</param>
    /// <param name="message">Сообщение</param>
    /// <param name="isInform">Является ли информирующим предупреждением</param>
    public ActionWarning (string eObject, string message, bool isInform = false)
    {
        IsInformWarning = isInform;
        Object = eObject;
        Message = message;
    }
    #endregion

    #region Реализация интерфейса
    /// <summary>
    /// Объект
    /// </summary>
    public object Object { get; set; }
    /// <summary>
    /// Сообщение
    /// </summary>
    public string Message { get; set; }
    /// <summary>
    /// Информирующее предупреждение возникает для предупреждения ВОЗМОЖНОЙ ошибки в дальнейшей эксплуатации и не влияет на текущую операцию.
    /// </summary>
    public bool IsInformWarning { get; init; }
    #endregion
}