﻿namespace anbs_cp.Classes;

/// <summary>
/// Конвертер количества элементов
/// </summary>
public sealed class CountConverter : ValueConverter
{
    /// <summary>
    /// Имена размеров файлов по умолчанию
    /// </summary>
    public static readonly string[] DefaultNames = {"", "тыс.", "млн."};

    /// <summary>
    /// Конструктор класса
    /// </summary>
    /// <param name="valueNames">Массив имён размерностей</param>
    /// <param name="decimalPlace">Знаков после запятой (0, 1, 2)</param>
    public CountConverter (string[] valueNames, byte decimalPlace = 0) : base(valueNames, 1000, decimalPlace)
    {
    }
}
