﻿namespace anbs_cp.Classes;

/// <summary>
/// Класс -- расширение для класса File
/// </summary>
public static class FileExtension
{
    /// <summary>
    /// Получает MIME-тип файла
    /// </summary>
    /// <param name="filename">Имя файла</param>
    /// <returns>MIME-тип файла</returns>
    public static string MIMEType (string filename) =>
        MimeTypes.GetMimeType(filename);

    /// <summary>
    /// Размер файла в байтах
    /// </summary>
    /// <param name="fileName">Полное имя и путь к файлу</param>
    /// <returns>Размер файла в байтах</returns>
    public static long FileSize(string fileName)
    {
        FileInfo fileInfo = new (fileName);

        return fileInfo.Length;
    }
}