﻿namespace anbs_cp.Classes;

/// <summary>
/// Конвертер размеров файлов
/// </summary>
public sealed class FileSizeConverter : ValueConverter
{
    /// <summary>
    /// Имена размеров файлов по умолчанию
    /// </summary>
    public static readonly string[] DefaultNames = {"байт", "Кб", "Мб", "Гб", "Тб"};

    /// <summary>
    /// Конструктор класса
    /// </summary>
    /// <param name="valueNames">Массив имён размерностей</param>
    /// <param name="decimalPlace">Знаков после запятой (0, 1, 2)</param>
    public FileSizeConverter (string[] valueNames, byte decimalPlace = 2) : base(valueNames, 1024, decimalPlace)
    {
    }
}
