﻿namespace anbs_cp.Classes;

/// <summary>
/// Параметры пароля
/// </summary>
public sealed class PasswordOptions
{
    /// <summary>
    /// Конструктор
    /// </summary>
    public PasswordOptions ()
    {
        RequiredLength = 8;
        RequireLowercase = true;
        RequireUppercase = true;
        RequireDigit = true;
        RequireNonAlphanumeric = false;
        RequiredUniqueChars = 6;
    }

    /// <summary>
    /// Требуемая длина пароля
    /// </summary>
    public byte RequiredLength { get; set; }

    /// <summary>
    /// Требовать строчные буквы в пароле
    /// </summary>
    public bool RequireLowercase { get; set; }

    /// <summary>
    /// Требовать прописные буквы в пароле
    /// </summary>
    public bool RequireUppercase { get; set; }

    /// <summary>
    /// Требовать цифры в пароле
    /// </summary>
    public bool RequireDigit { get; set; }

    /// <summary>
    /// Требовать символы
    /// </summary>
    public bool RequireNonAlphanumeric { get; set; }

    /// <summary>
    /// Уникальных символов
    /// </summary>
    public byte RequiredUniqueChars { get; set; }
}