﻿namespace anbs_cp.Structs;

/// <summary>
/// Пара ключ-значение
/// </summary>
/// <typeparam name="TK">Тип ключа</typeparam>
/// <typeparam name="TV">Тип значения</typeparam>
public struct KeyValue<TK, TV>
{
    #region Конструкторы
    /// <summary>
    /// Конструктор по умолчанию
    /// </summary>
    public KeyValue ()
    {
        Key = default;
        Value = default;
    }

    /// <summary>
    /// Конструктор со значениями
    /// </summary>
    /// <param name="key">Ключ</param>
    /// <param name="value">Значение</param>
    public KeyValue (TK key, TV value)
    {
        Key = key;
        Value = value;
    }
    #endregion

    #region Свойства
    /// <summary>
    /// Ключ
    /// </summary>
    public TK? Key { get; set; }

    /// <summary>
    /// Значение
    /// </summary>
    public TV? Value { get; set; }
    #endregion

    #region Методы
    /// <summary>
    /// Получает ключ-значение по умолчанию
    /// </summary>
    /// <returns>Ключ-значение по умолчанию</returns>
    public static KeyValue<TK, TV> GetDefault() => new();
    #endregion
}