﻿namespace anbs_cp.Structs;

/// <summary>
/// Двумерный размер
/// </summary>
public struct TwoDimSize
{
    #region Приватные поля
    /// <summary>
    /// Длина (приватное)
    /// </summary>
    private int _pWidth;

    /// <summary>
    /// Высота (приватное)
    /// </summary>
    private int _pHeight;
    #endregion

    #region Конструкторы
    /// <summary>
    /// Конструктор по умолчанию
    /// </summary>
    public TwoDimSize ()
    {
        Width = 0;
        Height = 0;
    }

    /// <summary>
    /// Конструктор
    /// </summary>
    /// <param name="width">Длина</param>
    /// <param name="height">Высота</param>
    public TwoDimSize (int width, int height)
    {
        Width = width;
        Height = height;
    }
    #endregion

    #region Свойства
    /// <summary>
    /// Длина
    /// </summary>
    public int Width
    {
        readonly get => _pWidth;
        set => _pWidth = value < 0 ? 0 : value;
    }

    /// <summary>
    /// Высота
    /// </summary>
    public int Height
    {
        readonly get => _pHeight;
        set => _pHeight = value < 0 ? 0 : value;
    }
    #endregion
}