﻿using System.Security.Cryptography;

using anbs_cp.Classes;

using Microsoft.AspNetCore.Http;

namespace anbs_cp.ForNet.Classes;

public static class NetFileHash
{
    /// <summary>
    /// Получение md5-хэша загружаемого файла.
    /// Взято с https://stackoverflow.com/a/67081012/16469671
    /// </summary>
    /// <param name="file">Загружаемый файл</param>
    /// <returns>Массив хэша</returns>
    public static FileHash GetFileHash (IFormFile file)
    {
        //Создаю md5
        using MD5 md5 = MD5.Create();

        //Создаю поток для чтения
        using StreamReader streamReader = new(file.OpenReadStream());

        //Получаю строковый хэш
        string hash = BitConverter.ToString(md5.ComputeHash(streamReader.BaseStream)).Replace("-", "")
            .ToLowerInvariant();

        //Создаю результат
        FileHash fileHash = new();

        //Вношу в него данные
        fileHash.FromString(hash);

        //Возвращаю результат
        return fileHash;
    }
}