﻿using System.Text;

using anbs_cp.Interfaces;

using Microsoft.AspNetCore.Cryptography.KeyDerivation;

namespace anbs_cp.ForNet.Classes;

/// <summary>
/// Класс шифрования пароля
/// </summary>
public sealed class PasswordEncrypt: IEncryptor
{
    /// <summary>
    /// Шифрование пароля
    /// </summary>
    /// <param name="password">Пароль</param>
    /// <param name="salt">Хэш-код пароля</param>
    /// <returns>Зашифрованный пароль</returns>
    public string Encrypt (string password, string salt)
    {
        // Получаю byte-массив из хэш-кода пароля
        byte[] saltBytes = Encoding.UTF8.GetBytes(salt);

        // Шифрую пароль
        byte[] encryptedPassword = KeyDerivation.Pbkdf2(password, saltBytes, KeyDerivationPrf.HMACSHA512, 5000, 64);

        // Возвращаю зашифрованный пароль
        return Convert.ToBase64String(encryptedPassword);
    }

    /// <summary>
    /// Этот метод не требует реализации в этом классе!
    /// </summary>
    /// <param name="encryptedValue">НЕ РАБОТАЕТ</param>
    /// <param name="salt">НЕ РАБОТАЕТ</param>
    /// <returns>НЕ РАБОТАЕТ</returns>
    /// <exception cref="NotImplementedException">Этот метод не требует реализации в этом классе!</exception>
    public string Decrypt (string encryptedValue, string salt) => throw new NotImplementedException("Этот метод не требует реализации в этом классе!");

    /// <summary>
    /// Этот метод не требует реализации в этом классе!
    /// </summary>
    /// <param name="text">НЕ РАБОТАЕТ</param>
    /// <returns>НЕ РАБОТАЕТ</returns>
    /// <exception cref="NotImplementedException">Этот метод не требует реализации в этом классе!</exception>
    public string Base64UrlEncode (string text) => throw new NotImplementedException("Этот метод не требует реализации в этом классе!");

    /// <summary>
    /// Этот метод не требует реализации в этом классе!
    /// </summary>
    /// <param name="text">НЕ РАБОТАЕТ</param>
    /// <returns>НЕ РАБОТАЕТ</returns>
    /// <exception cref="NotImplementedException">Этот метод не требует реализации в этом классе!</exception>
    public string Base64UrlDecode (string text) => throw new NotImplementedException("Этот метод не требует реализации в этом классе!");
}