﻿using anbs_cp.OsInfo.Interfaces;

namespace anbs_cp.OsInfo.Classes;

/// <summary>
/// Класс информации о процессоре
/// </summary>
public sealed class OsProcessorInfo: IOsProcessorInfo
{
    /// <summary>
    /// Конструктор
    /// </summary>
    public OsProcessorInfo ()
    {
        Caption = null;
        Description = null;
        DeviceId = null;
        Manufacturer = null;
        MaxClockSpeed = 0;
        Name = null;
        NumberOfCores = 0;
        NumberOfLogicalProcessors = 0;
    }

    /// <summary>
    /// Заголовок
    /// </summary>
    public string? Caption { get; set; }

    /// <summary>
    /// Описание
    /// </summary>
    public string? Description { get; set; }

    /// <summary>
    /// Идентификатор процессора в системе
    /// </summary>
    public string? DeviceId { get; set; }

    /// <summary>
    /// Производитель
    /// </summary>
    public string? Manufacturer { get; set; }

    /// <summary>
    /// Максимальная тактовая частота
    /// </summary>
    public int MaxClockSpeed { get; set; }

    /// <summary>
    /// Имя процессора
    /// </summary>
    public string? Name { get; set; }

    /// <summary>
    /// Число ядер
    /// </summary>
    public int NumberOfCores { get; set; }

    /// <summary>
    /// Число потоков
    /// </summary>
    public int NumberOfLogicalProcessors { get; set; }
}