﻿using anbs_cp.OsInfo.Interfaces;

namespace anbs_cp.OsInfo.Classes;

/// <summary>
/// Информация о видеокарте
/// </summary>
internal sealed class OsVideoAdapterInfo: IOsVideoAdapterInfo
{
    /// <summary>
    /// Конструктор
    /// </summary>
    public OsVideoAdapterInfo ()
    {
        AdapterRAM = 0;
        Caption = null;
        CurrentResolution = (0, 0);
        Description = null;
        DeviceId = null;
        DriverDate = null;
        DriverVersion = null;
        InstalledDisplayDrivers = null;
        Name = null;
        SystemName = null;
        VideoProcessor = null;
    }

    /// <summary>
    /// Память
    /// </summary>
    public int AdapterRAM { get; set; }

    /// <summary>
    /// Заголовок
    /// </summary>
    public string? Caption { get; set; }

    /// <summary>
    /// Текущее разрешение
    /// </summary>
    public (int, int) CurrentResolution { get; set; }

    /// <summary>
    /// Описание
    /// </summary>
    public string? Description { get; set; }

    /// <summary>
    /// Идентификатор устройства
    /// </summary>
    public string? DeviceId { get; set; }

    /// <summary>
    /// Дата установки драйвера
    /// </summary>
    public string? DriverDate { get; set; }

    /// <summary>
    /// Версия драйвера
    /// </summary>
    public string? DriverVersion { get; set; }

    /// <summary>
    /// Название драйверов
    /// </summary>
    public string? InstalledDisplayDrivers { get; set; }

    /// <summary>
    /// Имя
    /// </summary>
    public string? Name { get; set; }

    /// <summary>
    /// Имя в системе
    /// </summary>
    public string? SystemName { get; set; }

    /// <summary>
    /// Видео процессор
    /// </summary>
    public string? VideoProcessor { get; set; }
}