﻿using anbs_cp.OsInfo.Interfaces;

namespace anbs_cp.OsInfo.Classes;

/// <summary>
/// Информация о Windows
/// </summary>
public sealed class OsWindowsInfo: IOsWindowsInfo
{
    /// <summary>
    /// Конструктор
    ///</summary>
    public OsWindowsInfo ()
    {
        Version = null;
        Is64 = true;
        PcName = null;
        WindowsFolder = null;
    }

    /// <summary>
    /// Версия
    /// </summary>
    public string? Version { get; set; }

    /// <summary>
    /// 64-разрядная ОС
    /// </summary>
    public bool Is64 { get; set; }

    /// <summary>
    /// Имя компьютера
    /// </summary>
    public string? PcName { get; set; }

    /// <summary>
    /// Путь к папке Windows
    /// </summary>
    public string? WindowsFolder { get; set; }

    #region Реализация интерфейса IBasicInfo
    /// <summary>
    /// Заголовок
    /// </summary>
    public string? Caption { get => Version; set => _ = value; }

    /// <summary>
    /// Описание
    /// </summary>
    public string? Description { get => Version; set => _ = value; }

    /// <summary>
    /// Идентификатор
    /// </summary>
    public string? DeviceId { get => Version; set => _ = value; }

    /// <summary>
    /// Имя
    /// </summary>
    public string? Name { get => Version; set => _ = value; }
    #endregion
}