﻿namespace anbs_cp.OsInfo.Interfaces;

/// <summary>
/// Информация о видеокарте
/// </summary>
public interface IOsVideoAdapterInfo: IOsBasicInfo
{
    /// <summary>
    /// Память
    /// </summary>
    public int AdapterRAM { get; set; }

    /// <summary>
    /// Текущее разрешение
    /// </summary>
    public (int, int) CurrentResolution { get; set; }

    /// <summary>
    /// Дата установки драйвера
    /// </summary>
    public string? DriverDate { get; set; }

    /// <summary>
    /// Версия драйвера
    /// </summary>
    public string? DriverVersion { get; set; }

    /// <summary>
    /// Название драйверов
    /// </summary>
    public string? InstalledDisplayDrivers { get; set; }

    /// <summary>
    /// Имя в системе
    /// </summary>
    public string? SystemName { get; set; }

    /// <summary>
    /// Видео процессор
    /// </summary>
    public string? VideoProcessor { get; set; }
}